#include "configdlg.h"
#include "configdlgbase.h"
#include <qcombobox.h>
#include <qcheckbox.h>
#include <qlineedit.h>

/* 
 *  Constructs a ConfigDlg which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ConfigDlg::ConfigDlg( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : SetupDlgBase( parent, name, modal, fl )
{
}

/*  
 *  Destroys the object and frees any allocated resources
 */
ConfigDlg::~ConfigDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

void ConfigDlg::getData(LevelData *data)
{
  data->mBoardSize=ComboBox1->currentItem()+3;
  data->mNewSize=ComboBox2->currentItem()+1;
  data->mMinAlign=ComboBox3->currentItem()+3;
  data->mColors=ComboBox4->currentItem()+3;
  data->mExtraPieces=CheckBox8->isChecked();
  data->mEqualProp=CheckBox7->isChecked();
  data->mHighJoker=CheckBox6->isChecked();
  data->mOriginalScore=CheckBox5->isChecked();
  data->mDiagonalBonus=CheckBox4->isChecked();
  data->mProgressiveAlign=CheckBox3->isChecked();
  data->mSuperJokerColor=CheckBox2->isChecked()?9:0;
  data->mJokerColor=CheckBox1->isChecked()?8:0;
  data->mFewerPieces=CheckBox9->isChecked();
  QString s=LineEdit3->text();
  int startpieces=s.toInt();
  int boardsize=data->mBoardSize;
  int newpieces=data->mNewSize;
  if (startpieces<1) startpieces=1;
  if (startpieces>boardsize*boardsize-newpieces-1) startpieces=boardsize*boardsize-newpieces-1;
  data->mStartPieces=startpieces;
  data->name=LineEdit2->text();
  data->savename=data->name;
}

void ConfigDlg::setData(LevelData *data,bool changename)
{
  ComboBox1->setCurrentItem((data->mBoardSize-3));
  LineEdit3->setText(QString("%1").arg(data->mStartPieces));
  ComboBox3->setCurrentItem((data->mMinAlign-3));
  ComboBox2->setCurrentItem((data->mNewSize-1));
  ComboBox4->setCurrentItem((data->mColors-3));

  CheckBox7->setChecked(data->mEqualProp);
  CheckBox9->setChecked(data->mFewerPieces);
  CheckBox3->setChecked(data->mProgressiveAlign);
  CheckBox8->setChecked(data->mExtraPieces);
  CheckBox4->setChecked(data->mDiagonalBonus!=0);
  CheckBox5->setChecked(data->mOriginalScore);
  CheckBox6->setChecked(data->mHighJoker);
  CheckBox2->setChecked(data->mSuperJokerColor!=0);
  CheckBox1->setChecked(data->mJokerColor!=0);

  //kdDebug() << "Config: name=" << data->name << " savename=" << data->savename << endl;
  LineEdit2->setText(data->name);
  if (!changename) LineEdit2->setEnabled(false);



  // TODO not yet enabled (ie used in the game)
  CheckBox3->setEnabled(false);
  //CheckBox8->setEnabled(false);
  CheckBox2->setEnabled(false);


}
