/***************************************************************************
                          leveldata.cpp  -  description
                             -------------------
    begin                : 26 April 2001
    copyright            : (C) 2000 by Martin Heni
    email                : martin@heni-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// include files for KDE
#include <klocale.h>

// application specific includes
#include "leveldata.h"


// ------------------- Level Data ----------------------
LevelData::LevelData()
{
  name=i18n("undefined");
  savename=name;
  mBoardSize=9;
  mNewSize=3;
  mMinAlign=5;
  mExtraPieces=false;
  mEqualProp=true;
  mHighJoker=false;
  mOriginalScore=true;
  mDiagonalBonus=true;
  mProgressiveAlign=false;
  mJokerColor=8;
  mSuperJokerColor=0;
  mFewerPieces=true;
  mStartPieces=3;
  mColors=7;
  mPredefined=false;
}

void LevelData::save(KConfig *config)
{
  QString s=QString("level_")+savename;
  config->setGroup(s);

  config->writeEntry("boardsize",mBoardSize);
  config->writeEntry("colors",mColors);
  config->writeEntry("newsize",mNewSize);
  config->writeEntry("fewerpieces",mFewerPieces);
  config->writeEntry("startpieces",mStartPieces);
  config->writeEntry("extrapieces",mExtraPieces);
  config->writeEntry("equalpropability",mEqualProp);
  config->writeEntry("highjoker",mHighJoker);
  config->writeEntry("originalscore",mOriginalScore);
  config->writeEntry("progressivealign",mProgressiveAlign);
  config->writeEntry("diagonalbonus",mDiagonalBonus);
  config->writeEntry("superjokercolor",mSuperJokerColor);
  config->writeEntry("jokercolor",mJokerColor);
  config->writeEntry("minalign",mMinAlign);
  config->writeEntry("name",name);
  
}
void LevelData::load(QString loadname,KConfig *config)
{
  QString s=QString("level_")+loadname;
  config->setGroup(s);

  
  mColors=config->readNumEntry("colors",mColors);
  mBoardSize=config->readNumEntry("boardsize",mBoardSize);
  mNewSize=config->readNumEntry("newsize",mNewSize);
  mFewerPieces=config->readBoolEntry("fewerpieces",mFewerPieces);
  mStartPieces=config->readNumEntry("startpieces",mStartPieces);
  mExtraPieces=config->readBoolEntry("extrapieces",mExtraPieces);
  mEqualProp=config->readBoolEntry("equalpropability",mEqualProp);
  mHighJoker=config->readBoolEntry("highjoker",mHighJoker);
  mOriginalScore=config->readBoolEntry("originalscore",mOriginalScore);
  mProgressiveAlign=config->readBoolEntry("progressivealign",mProgressiveAlign);
  mDiagonalBonus=config->readNumEntry("diagonalbonus",mDiagonalBonus);
  mSuperJokerColor=config->readNumEntry("superjokercolor",mSuperJokerColor);
  mJokerColor=config->readNumEntry("jokercolor",mJokerColor);
  mMinAlign=config->readNumEntry("minalign",mMinAlign);
  name=config->readEntry("name",name);
  savename=loadname;
 
}

