/***************************************************************************
                          leveldata.h  -  description
                             -------------------
    begin                : 26 April 2001
    copyright            : (C) 2000 by Martin Heni
    email                : martin@heni-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LEVELDATA_H
#define LEVELDATA_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

// include files for QT
#include <qobject.h>
#include <qstring.h>
#include <qlist.h>

#include <kconfig.h>
#include <kdebug.h>



class LevelData
{
  public:
    LevelData();

    QString name;          // name of the level
    QString savename;      // internal name of the level
    int mBoardSize;        // Width and height of board
    int mNewSize;          // number of new pieces
    int mMinAlign;         // at least so many pieces to align
    bool mExtraPieces;     // special pieces
    bool mEqualProp;       // all colours have the same probability
    bool mHighJoker;       // higher probabiltiy to get a joker
    bool mOriginalScore;   // klines (true) orAlign-It scoring
    int mDiagonalBonus;    // Diagonal counts one piece more
    bool mProgressiveAlign;// align n+m pieces when score raises
    int mJokerColor;       // color of joker piece
    int mSuperJokerColor;  // color of superjoker piece
    bool mFewerPieces;     // less pieces when board fills
    int mStartPieces;      // start with this many pieces on board
    int mColors;           // how many colors
    bool mPredefined;       // level predefined?

    void save(KConfig *);
    void load(QString loadname,KConfig *);
    
};

#endif 
