/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : 26 April 2001
    copyright            : (C) 2000 by Martin Heni
    email                : martin@heni-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kstddirs.h>
#include <kinstance.h>
#include <kaboutdata.h>
#include <kdebug.h>

#include "quintalign.h"

static KCmdLineOptions options[] =
{
  { "d", 0, 0},
  { "debug <level>", I18N_NOOP("Enter debug level"), 0 },
  { 0, 0, 0 }
};

int global_debug;

int main(int argc, char *argv[])
{

  global_debug=0;
  KAboutData *aboutData=new KAboutData( "quintalign", I18N_NOOP("Quintalign"),
                        "1.0",
                        I18N_NOOP("--- Quintalign ---\nAn intriguing board game for KDE!"),
                        KAboutData::License_GPL,
                        "(c) 2001, Martin Heni");
  aboutData->addAuthor("Martin Heni","Programming and graphics","martin@heni-online.de","http://www.heni-online.de/linux");
  aboutData->addCredit("Laura Layland","for beta testing","l_layland@hotmail.com","http://www.kde.org");
  aboutData->addCredit("Britta Vogel","for beta testing","kitsune@fs.physik.uni-bielefeld.de","http://www.kde.org");
  aboutData->addCredit("Marc Mutz","for beta testing","mutz@kde.org","http://www.kde.org");
//  aboutData->addAuthor("Ansgar","Graphics","ansgar@gmx.de");
  aboutData->addCredit("Sandra Erb","for the inspiring Align-It Windows version","erb@digital42.com","http://digital42.com");
  KCmdLineArgs::init( argc, argv, aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  /* command line handling */
  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

  if (args->isSet("debug"))
  {
    QString s;
    s=args->getOption("debug") ;
    global_debug=atoi(s.latin1() );
    kdDebug() << "Debug level set to " << global_debug << endl;
  }
  args->clear();

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(GameApp);
  }
  else 
  {
    GameApp *program = new GameApp();
    program->show();

  }

  int result=app.exec();
  delete aboutData;
  return result;
}
