#include <kdialogbase.h>
#include <qcombobox.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include "techdlg.h"

/* 
 *  Constructs a TechDlg which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
TechDlg::TechDlg( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : TechDlgBase( parent, name, modal, fl )
{
}

/*  
 *  Destroys the object and frees any allocated resources
 */
TechDlg::~TechDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

void TechDlg::setData(double anim,double movement)
{
  LineEdit3->setText(QString("%1").arg(anim));
  LineEdit1->setText(QString("%1").arg(movement));
}
void TechDlg::getData(double &anim,double &movement)
{
  QString s;
  s=LineEdit3->text();
  anim=s.toDouble();
  if (anim<=0.0) anim=1.0;
  s=LineEdit1->text();
  movement=s.toDouble();
  if (movement<=0.0) movement=1.0;
}

